Creates a new interval data import profile defining the file-to-channel mapping
Use this endpoint to define a reusable mapping profile for interval data imports. The profile
specifies column positions, observation types, units, time zone, and other mapping details.
Profile codes must be unique among reading import profiles. Requires Interval Data Manage permission.
Request Headers
| Header | Value | Required | Description |
|---|---|---|---|
| ECI-ApiKey | string | Yes | Your API key. See Authentication. |
| Content-Type | application/json | Yes | All requests must specify JSON content type, including the request body. |
Request Body
ReadingImportProfileRequest
| Property | Description | Type | ||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
| channelImportIdColumnNumber | The number of the column that holds the channel import identifier Must be between 1 and 2147483647 | integer (int32) | ||||||||||||
| channelIntervalInSeconds | The interval of the readings in seconds | integer (int32) | ||||||||||||
| dataMapping | A list of columns from the import sheet with their observation type and unit | ReadingImportProfileColumn[] | ||||||||||||
|
ReadingImportProfileColumn properties
|
||||||||||||||
| dateColumnNumber | The number of the column that holds the date Must be between 1 and 2147483647 | integer (int32) | ||||||||||||
| dateFormat | The format for the date of the readings. An example is MM/dd/yyyy | string | ||||||||||||
| delimiter | The string that represents how the file contents are delimited. Valid options are “\t” for tab, " " for space and “,” for comma. Required Must be between 1 and 2 characters One of ’ ‘, ’ ‘, ‘,’ Case sensitive | string | ||||||||||||
| estimated | Estimated | |||||||||||||
|
Estimated properties
|
||||||||||||||
| meterImportIdColumnNumber | The number of the column that holds the meter import identifier Must be between 1 and 2147483647 | integer (int32) | ||||||||||||
| noteColumnNumber | Column number that holds a note to be stored with the reading Must be between 1 and 2147483647 | integer (int32) | ||||||||||||
| numberOfColumns | The minimum number of columns in the import sheet Required Must be between 1 and 2147483647 | integer (int32) | ||||||||||||
| numberOfHeaderRows | Number of header rows before the data begins Required Must be between 0 and 2147483647 | integer (int32) | ||||||||||||
| profileCode | The profile code Required Must be between 0 and 64 characters | string | ||||||||||||
| timeColumnNumber | The number of the column that holds the time Must be between 1 and 2147483647 | integer (int32) | ||||||||||||
| timeFormat | The format for the time of the readings. An example is mm:hh:ss:zzz | string | ||||||||||||
| timeZoneId | The time zone for the readings | integer (int32) | ||||||||||||
| timestampColumnNumber | The number of the column that holds the timestamp Must be between 1 and 2147483647 | integer (int32) | ||||||||||||
| timestampFormat | The format for the timestamp of the readings. An example is MM/dd/yyyy mm:hh:ss:zzz | string | ||||||||||||
Example Request Body
{ "channelImportIdColumnNumber": 1, "channelIntervalInSeconds": 1, "dataMapping": [
{ "columnNumber": 1, "observationTypeCode": "string", "unitCode": "string"
}
], "dateColumnNumber": 1, "dateFormat": "string", "delimiter": "string", "estimated": { "columnNumber": 1, "indicator": "string"
}, "meterImportIdColumnNumber": 1, "noteColumnNumber": 1, "numberOfColumns": 1, "numberOfHeaderRows": 1, "profileCode": "string", "timeColumnNumber": 1, "timeFormat": "string", "timeZoneId": 1, "timestampColumnNumber": 1, "timestampFormat": "string"
}
Responses
200
OK
The request succeeded and the response body contains the requested data.
Response Body Parameters
ReadingImportProfileResponse
| Property | Description | Type | ||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
| channelImportIdColumnNumber | The number of the column that holds the Channel import identifier | integer (int32) | ||||||||||||
| channelIntervalInSeconds | The interval of the readings | integer (int32) | ||||||||||||
| createdBy | UserChild | |||||||||||||
|
UserChild properties
|
||||||||||||||
| dataMapping | A list of columns from the import sheet with their observation type and unit | ReadingImportProfileColumn[] | ||||||||||||
|
ReadingImportProfileColumn properties
|
||||||||||||||
| dateColumnNumber | The number of the column that holds the date | integer (int32) | ||||||||||||
| dateFormat | The format for the date of the readings. An example is MM/dd/yyyy | string | ||||||||||||
| delimiter | The string that represents how the file contents are delimited. Valid options are “\t” for tab, " " for space and “,” for comma. | string | ||||||||||||
| estimated | Estimated | |||||||||||||
|
Estimated properties
|
||||||||||||||
| meterImportIdColumnNumber | The number of the column that holds the Meter import identifier | integer (int32) | ||||||||||||
| noteColumnNumber | Column number that holds a note to be stored with the reading | integer (int32) | ||||||||||||
| numberOfColumns | The total number of columns in the import sheet | integer (int32) | ||||||||||||
| numberOfHeaderRows | Number of header rows before the data begins | integer (int32) | ||||||||||||
| profileCode | The profile code | string | ||||||||||||
| profileId | The profile Identifier | integer (int32) | ||||||||||||
| timeColumnNumber | The number of the column that holds the time | integer (int32) | ||||||||||||
| timeFormat | The format for the time of the readings. An example is mm:hh:ss:zzz | string | ||||||||||||
| timeZone | TimeZoneChild | |||||||||||||
|
TimeZoneChild properties
|
||||||||||||||
| timestampColumnNumber | The number of the column that holds the timestamp | integer (int32) | ||||||||||||
| timestampFormat | The format for the timestamp of the readings. An example is MM/dd/yyyy mm:hh:ss:zzz | string | ||||||||||||
Example Response
{ "channelImportIdColumnNumber": 1, "channelIntervalInSeconds": 1, "createdBy": { "fullName": "string", "userCode": "string", "userId": 1
}, "dataMapping": [
{ "columnNumber": 1, "observationTypeCode": "string", "unitCode": "string"
}
], "dateColumnNumber": 1, "dateFormat": "string", "delimiter": "string", "estimated": { "columnNumber": 1, "indicator": "string"
}, "meterImportIdColumnNumber": 1, "noteColumnNumber": 1, "numberOfColumns": 1, "numberOfHeaderRows": 1, "profileCode": "string", "profileId": 1, "timeColumnNumber": 1, "timeFormat": "string", "timeZone": { "timeZoneCode": "string", "timeZoneId": 1, "timeZoneInfo": "string"
}, "timestampColumnNumber": 1, "timestampFormat": "string"
}